Package net.shibboleth.shared.httpclient

# Class FileCachingHttpClientBuilder.StorageMaintenanceTask

java.lang.Object
java.util.TimerTask
net.shibboleth.shared.httpclient.FileCachingHttpClientBuilder.StorageMaintenanceTask

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  FileCachingHttpClientBuilder

private static class FileCachingHttpClientBuilder.StorageMaintenanceTask extends TimerTask
Scheduled task to manage an instance of `ManagedHttpCacheStorage`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.
`private final org.apache.hc.client5.http.impl.cache.ManagedHttpCacheStorage`
`storage`
The managed cache storage instance.

## Constructor Summary

Constructors
Constructor
Description
`StorageMaintenanceTask(org.apache.hc.client5.http.impl.cache.ManagedHttpCacheStorage managedStorage)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.util.TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### storage

@Nonnull private final org.apache.hc.client5.http.impl.cache.ManagedHttpCacheStorage storage
The managed cache storage instance.

## Constructor Details

### StorageMaintenanceTask

public StorageMaintenanceTask(@Nonnull org.apache.hc.client5.http.impl.cache.ManagedHttpCacheStorage managedStorage)
Constructor.

Parameters:
  `managedStorage` - the managed cache storage instance

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`